
//*****************选择框 开始******************
var _select_frm="frm_select";

function select_all()
{
  var frm=eval("document."+_select_frm);
  var slength=0;
  if (frm.sel_id==null) { return false; }
  var sall=frm.sel_all.checked;
  if (frm.sel_id.length)
  {
    slength=frm.sel_id.length;
    for (var i=0;i<slength;i++) { frm.sel_id[i].checked=sall; }
  }
  else { frm.sel_id.checked=sall; }
}

function select_click()
{
  var frm=eval("document."+_select_frm);
  var slength=0;
  var issel=false;
  if (frm.sel_id!=null)
  {
    if (frm.sel_id.length)
    {
      slength=frm.sel_id.length;
      for (var i=0;i<slength;i++) { if (frm.sel_id[i].checked==true) { issel=true; break; } }
    }
    else { if (frm.sel_id.checked==true) { issel=true; } }
  }
  if (issel==true)
  {
    if (confirm("执行此操作后可能无法恢复！你确定吗？")) { return true; }
    else { return false; }
  }
  else { alert("没有选择任何记录！"); return false; }
}
//*****************选择框 结束******************
